Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IDesktopInstanceManager

All Known Subinterfaces:
  PortalCustomizationManager

public interface IDesktopInstanceManager

This is the primary interface for performing persistent store operations on `DesktopInstance` objects. In general this interface provides coarse grain getters and fine grain setters.

It is important to note that all methods on this interface are fully internationalized and entitled. All `titles` and `descriptions` on the objects returned by these methods are internationalized to the preferred locale. Also, all methods are entitled, meaning if the caller does not have the required credentials the method may return a subset of the actual list or be unable to perform the specified function.

Most "Instances" can be thought of as objects tied to a desktop, An Admin has instances derived from the Library Definition, and the "end user" has instances derived from the admin instance. Changes made via these APIs require a DesktopDefinitionId and the changes are scoped to that desktop. In other words changes made here do not affect the Library or other Desktops. If the "visitorMode" on the customization Context is set the false (default) and the user executing the call is in the "Admin" or "PortalSystemAdministrator" role then these changes take affect at the admin level, and affect ALL users. If the visitorMode is false then the changes only affect the calling user.

See Also:
  `CustomizationContext.setVisitorMode(boolean)`

Method Summary
`void` | `deleteDesktopCustomizations(String username)` Delete/Remove all the customization for a particular user.
`DesktopView` | `getCustomizedDesktopView(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Getter for returning an immutable deep copy of a `DesktopView`.
`DesktopInstance` | `getDesktopInstance(CustomizationContext customizationContext, DesktopInstanceId desktopInstanceId)` Getter for returning a `DesktopInstance` identified by the supplied instance id.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, DesktopInstanceId desktopInstanceId)` Getter for returning an immutable deep copy of a `DesktopView`.
`DesktopView` | `getDesktopView(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Getter for returning an immutable deep copy of a `DesktopView`.
`DesktopInstance` | `updateDesktopInstance(CustomizationContext customizationContext, DesktopInstance desktopInstance)` Update the persistent store for the supplied `DesktopInstance`.

Method Detail

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      String webAppName,
                                      PortalPath portalPath,
                                      DesktopPath desktopPath)
                               throws RemoteException

  Getter for returning an immutable deep copy of a `DesktopView`. If the user has customized his deskotp then this will return the user's specific instance. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Parameters:
    `customizationContext` -
    `webAppName` - the name of the webapp
    `portalPath` - the partial portal path
    `desktopPath` - the partial desktop path
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
  Throws:
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getCustomizedDesktopView

    public DesktopView getCustomizedDesktopView(CustomizationContext customizationContext,
                                                String webAppName,
                                                PortalPath portalPath,
                                                DesktopPath desktopPath)
                                         throws RemoteException

  Getter for returning an immutable deep copy of a `DesktopView`. If the user has customized his desktop then this will return the user's specific instance otherwise null is returned. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Parameters:
    `customizationContext` -
    `webAppName` - the name of the webapp
    `portalPath` - the partial portal path
    `desktopPath` - the partial desktop path
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
  Throws:
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getDesktopView

    public DesktopView getDesktopView(CustomizationContext customizationContext,
                                      DesktopInstanceId desktopInstanceId)
                               throws RemoteException

  Getter for returning an immutable deep copy of a `DesktopView`. The `DesktopView` object, unlike the `DesktopDefinition` or the `DesktopInstance` objects contains a deep copy of all references to all child pages, books and so on. The `DesktopView` object however is immutable.

  Parameters:
    `customizationContext` -
    `desktopInstanceId` - the unique instance id (webapp/portlaPath/desktopPath) of the desktop.
  Returns:
    an immutable deep copy DesktopView object if one exist, otherwise null.
  Throws:
    `RemoteException`
  See Also:
    `IDesktopDefinitionManager.getDesktopView(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.DesktopDefinitionId)`

### getDesktopInstance

    public DesktopInstance getDesktopInstance(CustomizationContext customizationContext,
                                              DesktopInstanceId desktopInstanceId)
                                       throws RemoteException

  Getter for returning a `DesktopInstance` identified by the supplied instance id.

  Parameters:
    `customizationContext` -
    `desktopInstanceId` - the unique id of the instance to return
  Returns:
    a fully populated internationalized `DesktopInstance` objects if it exist, otherwise null.
  Throws:
    `RemoteException`

### updateDesktopInstance

    public DesktopInstance updateDesktopInstance(CustomizationContext customizationContext,
                                                 DesktopInstance desktopInstance)
                                          throws RemoteException,
                                                 ObjectNotFoundException,
                                                 NotEntitledException

  Update the persistent store for the supplied `DesktopInstance`. All attributes of the DesktopInstance are updated in persistent store.

  Parameters:
    `desktopInstance` - the new desktop instance containing all the new data.
  Throws:
    `ObjectNotFoundException` - the DesktopInstanceId specified in the desktopInstance is bogus.
    `NotEntitledException` - if the caller does not have the required permissions to update this object.
    `RemoteException`

### deleteDesktopCustomizations

    public void deleteDesktopCustomizations(String username)
                                     throws RemoteException,
                                            NotEntitledException

  Delete/Remove all the customization for a particular user. This method should be called when a user is deleted from the system. Or you wish to remove all a user customizations.

  Parameters:
    `username` - the login name of the user.
  Throws:
    `NotEntitledException` - if the caller does not have the required permissions to delete this customization
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved